org.apache.hadoop.conf

## Interface Configurable

- All Known Subinterfaces:
    ImpersonationProvider, Tool
  All Known Implementing Classes:
    AbstractDNSToSwitchMapping, AbstractMapWritable, AccessTokenProvider, AdlFileSystem, AvroReflectSerialization, AvroSerialization, AvroSpecificSerialization, BinaryPartitioner, BinaryPartitioner, BZip2Codec, CachedDNSToSwitchMapping, ChecksumFileSystem, CLI, CompositeRecordReader, CompositeRecordReader, ConfCredentialBasedAccessTokenProvider, Configured, ConfRefreshTokenBasedAccessTokenProvider, CredentialBasedAccessTokenProvider, DataDrivenDBInputFormat, DBInputFormat, DBInputFormat, DefaultCodec, DefaultImpersonationProvider, DistCp, EnumSetWritable, FileSystem, FileSystemImage, FilterFileSystem, FixedBlockMultiReplicaResolver, FixedBlockResolver, FTPFileSystem, GenericWritable, GzipCodec, InMemoryAliasMap, InnerJoinRecordReader, InnerJoinRecordReader, InputSampler, InputSampler, JobClient, JoinRecordReader, JoinRecordReader, KeyFieldBasedComparator, KeyFieldBasedComparator, KeyFieldBasedPartitioner, KeyFieldBasedPartitioner, LevelDBFileRegionAliasMap, LocalFileSystem, LogsCLI, MapWritable, MultiFilterRecordReader, MultiFilterRecordReader, NativeAzureFileSystem, NativeS3FileSystem, ObjectWritable, OracleDataDrivenDBInputFormat, OuterJoinRecordReader, OuterJoinRecordReader, OverrideRecordReader, OverrideRecordReader, RawLocalFileSystem, RecordComparator, ResourceCalculatorProcessTree, SchedConfCLI, ScriptBasedMapping, SingleUGIResolver, SocksSocketFactory, SortedMapWritable, Submitter, TableMapping, TextFileRegionAliasMap, TotalOrderPartitioner, TotalOrderPartitioner, Trash, TrashPolicy, ViewFileSystem, WasbFsck, WrappedRecordReader, WritableComparator, WritableSerialization

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public interface Configurable

  Something that may be configured with a `Configuration`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getConf()` Return the configuration used by this object.
    `void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

- - ### Method Detail

    - #### setConf

          void setConf(Configuration conf)

      Set the configuration to be used by this object.

    - #### getConf

          Configuration getConf()

      Return the configuration used by this object.

Copyright © 2022 Apache Software Foundation. All rights reserved.